Subject: RE: NEEM

From: [email-masked] (Down2Erth)
Date: 10 Mar 1995 14:48:50 -0500

I am an organic landscape gardener and I'm considering using NEEM on a
serious leafminer infestation of a client's arborvitae hedge.  We've tried
all the usual cultural practices (fertiliaer, mulch, irrigation) with no
success.  I am confused because both Gardens Alive and Peaceful Valley
Farm Supply claim that it will not kill beneficial insects, yet it kills
many types of destructive insects.  This seems too good to be true.....